package com.unis.base.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.TyJhxxzbVO;
import com.unis.base.server.domain.TyJhxxzbDomain;
import com.unis.base.server.service.TyJhxxzbService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyJhxxzbServiceImpl implements TyJhxxzbService {

	@Autowired
	private TyJhxxzbDomain tyJhxxzbDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyJhxxzbVO> getTyJhxxzbList(TyJhxxzbVO tyJhxxzbVO) {
		return tyJhxxzbDomain.getTyJhxxzbList(tyJhxxzbVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyJhxxzbVO> getTyJhxxzbPage(TyJhxxzbVO tyJhxxzbVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyJhxxzbDomain.getTyJhxxzbList(tyJhxxzbVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyJhxxzbVO tyJhxxzbVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyJhxxzbVO.setJhxxid("JH"+date);
		return tyJhxxzbDomain.insert(tyJhxxzbVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyJhxxzbVO tyJhxxzbVO) {
		return tyJhxxzbDomain.update(tyJhxxzbVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String jsid) {
		TyJhxxzbVO tyJhxxzbById = tyJhxxzbDomain.getTyJhxxzbById(jsid);
		if (tyJhxxzbById == null) {
			return -1;
		}
		tyJhxxzbById.setStatus(0);
		return tyJhxxzbDomain.update(tyJhxxzbById);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyJhxxzbVO getJhxxzbByJhxxzbid(String jsid) {
		return tyJhxxzbDomain.getTyJhxxzbById(jsid);
	}


}
